From tkato432@yahoo.com  Wed Apr 25 18:01:27 2007
Return-Path: <tkato432@yahoo.com>
Received: from mx1.freebsd.org (mx1.freebsd.org [69.147.83.52])
	by hub.freebsd.org (Postfix) with ESMTP id 8D8FE16A400
	for <FreeBSD-gnats-submit@FreeBSD.org>; Wed, 25 Apr 2007 18:01:27 +0000 (UTC)
	(envelope-from tkato432@yahoo.com)
Received: from nm05omta05d.dion.ne.jp (nm05mta.dion.ne.jp [219.125.112.14])
	by mx1.freebsd.org (Postfix) with SMTP id 41DE613C459
	for <FreeBSD-gnats-submit@FreeBSD.org>; Wed, 25 Apr 2007 18:01:26 +0000 (UTC)
	(envelope-from tkato432@yahoo.com)
Received: from localhost.localdomain ([59.128.67.53])
	by nm05mta.dion.ne.jp
	id <20070426030122511.MAC9.8344E28@nm05mta.dion.ne.jp>;
	Thu, 26 Apr 2007 03:01:22 +0900
Message-Id: <20070426030031.66dde932.tkato432@yahoo.com>
Date: Thu, 26 Apr 2007 03:00:31 +0900
From: KATO Tsuguru <tkato432@yahoo.com>
To: FreeBSD-gnats-submit@FreeBSD.org
Subject: Update port: math/fityk to 0.8.1

>Number:         112136
>Category:       ports
>Synopsis:       Update port: math/fityk to 0.8.1
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    lwhsu
>State:          closed
>Quarter:        
>Keywords:       
>Date-Required:  
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Wed Apr 25 18:10:12 GMT 2007
>Closed-Date:    Thu Apr 26 14:56:54 GMT 2007
>Last-Modified:  Thu Apr 26 15:00:16 GMT 2007
>Originator:     KATO Tsuguru
>Release:        FreeBSD 6.2-RELEASE-p3 i386
>Organization:
>Environment:
>Description:
- Update to version 0.8.1

Remove file:
files/patch-configure

>How-To-Repeat:
>Fix:

diff -urN /usr/ports/math/fityk/Makefile math/fityk/Makefile
--- /usr/ports/math/fityk/Makefile	Thu Apr 19 03:24:05 2007
+++ math/fityk/Makefile	Tue Apr 24 23:48:30 2007
@@ -7,10 +7,9 @@
 #
 
 PORTNAME=	fityk
-PORTVERSION=	0.7.8
+PORTVERSION=	0.8.1
 CATEGORIES=	math
-MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
-MASTER_SITE_SUBDIR=	${PORTNAME}
+MASTER_SITES=	SF
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Free peak fitting software
@@ -24,15 +23,21 @@
 USE_WX=		2.6
 WX_CONF_ARGS=	absolute
 USE_GMAKE=	yes
-GNU_CONFIGURE=	yes
+USE_AUTOTOOLS=	libtool:15
 CONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
 CONFIGURE_ARGS=	--mandir=${MANPREFIX}/man
+USE_LDCONFIG=	yes
 
 MAN1=		fityk.1
 PLIST_FILES=	bin/cfityk \
 		bin/fityk \
-		%%DATADIR%%/fityk_tips.txt \
-		%%DATADIR%%/fitykhelp.htb
+		include/fityk.h \
+		lib/libfityk.a \
+		lib/libfityk.la \
+		lib/libfityk.so \
+		lib/libfityk.so.0 \
+		%%DATADIR%%/fitykhelp.htb \
+		%%DATADIR%%/tips.txt
 PLIST_DIRS=	%%DATADIR%%
 
 CPPFLAGS=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
@@ -42,5 +47,6 @@
 	@${REINPLACE_CMD} -e 's|^CPPFLAGS=|#CPPFLAGS=|g' ${WRKSRC}/configure
 	@${REINPLACE_CMD} -e 's|config 3rdparty|config|g ; \
 		 s|^install-data-am:|install-data-am:#|g' ${WRKSRC}/Makefile.in
+	@${REINPLACE_CMD} -e 's|fityk_tips|tips|g' ${WRKSRC}/src/wxgui/gui.cpp
 
 .include <bsd.port.mk>
diff -urN /usr/ports/math/fityk/distinfo math/fityk/distinfo
--- /usr/ports/math/fityk/distinfo	Sat Mar 17 03:27:15 2007
+++ math/fityk/distinfo	Tue Apr 24 16:55:12 2007
@@ -1,3 +1,3 @@
-MD5 (fityk-0.7.8.tar.bz2) = 830ed8668ab524c7b1697ec3a2ed5554
-SHA256 (fityk-0.7.8.tar.bz2) = 57443b3c93d0dad5498ed07b65e87dd977b9aafd299f571d498df94e8c4d3207
-SIZE (fityk-0.7.8.tar.bz2) = 1102741
+MD5 (fityk-0.8.1.tar.bz2) = f93d2ce9b9c21e0d79d69f1adb797a66
+SHA256 (fityk-0.8.1.tar.bz2) = f0135432d93711255180c2d36b628642cb4f37b3f3e93dec6828c50797a6551c
+SIZE (fityk-0.8.1.tar.bz2) = 1294006
diff -urN /usr/ports/math/fityk/files/patch-configure math/fityk/files/patch-configure
--- /usr/ports/math/fityk/files/patch-configure	Fri Mar 16 21:00:37 2007
+++ math/fityk/files/patch-configure	Thu Jan  1 09:00:00 1970
@@ -1,110 +0,0 @@
---- configure.orig	Tue Feb  6 22:44:47 2007
-+++ configure	Tue Mar  6 02:41:21 2007
-@@ -6341,107 +6341,6 @@
-          READLINE_LIBS="$with_readline $gp_tcap"
-        fi
-      fi
--                    { echo "$as_me:$LINENO: checking whether rl_completion_matches is declared" >&5
--echo $ECHO_N "checking whether rl_completion_matches is declared... $ECHO_C" >&6; }
--if test "${ac_cv_have_decl_rl_completion_matches+set}" = set; then
--  echo $ECHO_N "(cached) $ECHO_C" >&6
--else
--  cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h.  */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h.  */
--#include <readline/readline.h>
--
--int
--main ()
--{
--#ifndef rl_completion_matches
--  char *p = (char *) rl_completion_matches;
--  return !p;
--#endif
--
--  ;
--  return 0;
--}
--_ACEOF
--rm -f conftest.$ac_objext
--if { (ac_try="$ac_compile"
--case "(($ac_try" in
--  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
--  *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
--  (eval "$ac_compile") 2>conftest.er1
--  ac_status=$?
--  grep -v '^ *+' conftest.er1 >conftest.err
--  rm -f conftest.er1
--  cat conftest.err >&5
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); } &&
--	 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
--  { (case "(($ac_try" in
--  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
--  *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
--  (eval "$ac_try") 2>&5
--  ac_status=$?
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); }; } &&
--	 { ac_try='test -s conftest.$ac_objext'
--  { (case "(($ac_try" in
--  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
--  *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
--  (eval "$ac_try") 2>&5
--  ac_status=$?
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); }; }; then
--  ac_cv_have_decl_rl_completion_matches=yes
--else
--  echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--	ac_cv_have_decl_rl_completion_matches=no
--fi
--
--rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
--fi
--{ echo "$as_me:$LINENO: result: $ac_cv_have_decl_rl_completion_matches" >&5
--echo "${ECHO_T}$ac_cv_have_decl_rl_completion_matches" >&6; }
--if test $ac_cv_have_decl_rl_completion_matches = yes; then
--
--cat >>confdefs.h <<_ACEOF
--#define HAVE_DECL_RL_COMPLETION_MATCHES 1
--_ACEOF
--
--
--else
--  cat >>confdefs.h <<_ACEOF
--#define HAVE_DECL_RL_COMPLETION_MATCHES 0
--_ACEOF
--
--{ { echo "$as_me:$LINENO: error:
--     Although you seem to have a readline-compatible library,
--     it is either old GNU readline <= 4.1 (XX century),
--     or readline-compatible library, like libedit, but it's not compatible
--     enough with readline >= 4.2.
--         Either install libreadline >= 4.2,
--            or configure fityk with option --without-readline" >&5
--echo "$as_me: error:
--     Although you seem to have a readline-compatible library,
--     it is either old GNU readline <= 4.1 (XX century),
--     or readline-compatible library, like libedit, but it's not compatible
--     enough with readline >= 4.2.
--         Either install libreadline >= 4.2,
--            or configure fityk with option --without-readline" >&2;}
--   { (exit 1); exit 1; }; }
--fi
--
--
-  else
- 
- cat >>confdefs.h <<\_ACEOF
>Release-Note:
>Audit-Trail:
Responsible-Changed-From-To: freebsd-ports-bugs->lwhsu 
Responsible-Changed-By: lwhsu 
Responsible-Changed-When: Wed Apr 25 19:33:57 UTC 2007 
Responsible-Changed-Why:  
I'll take it. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=112136 
State-Changed-From-To: open->closed 
State-Changed-By: lwhsu 
State-Changed-When: Thu Apr 26 14:56:52 UTC 2007 
State-Changed-Why:  
Committed. Thanks! 

http://www.freebsd.org/cgi/query-pr.cgi?pr=112136 

From: dfilter@FreeBSD.ORG (dfilter service)
To: bug-followup@FreeBSD.org
Cc:  
Subject: Re: ports/112136: commit references a PR
Date: Thu, 26 Apr 2007 14:56:36 +0000 (UTC)

 lwhsu       2007-04-26 14:56:31 UTC
 
   FreeBSD ports repository
 
   Modified files:
     math/fityk           Makefile distinfo 
   Removed files:
     math/fityk/files     patch-configure 
   Log:
   - Update to version 0.8.1
   - Use MASTER_SITES_ABBREVS in MASTER_SITES
   
   PR:             112136
   Submitted by:   KATO Tsuguru <tkato432 AT yahoo.com>
   Approved by:    clsung (mentor, implicitly)
   
   Revision  Changes    Path
   1.19      +12 -6     ports/math/fityk/Makefile
   1.13      +3 -3      ports/math/fityk/distinfo
   1.2       +0 -110    ports/math/fityk/files/patch-configure (dead)
 _______________________________________________
 cvs-all@freebsd.org mailing list
 http://lists.freebsd.org/mailman/listinfo/cvs-all
 To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
 
>Unformatted:
